
/* Posicionament del cursor amb seqncies de ESC */

#ifndef CONSOLA_INCLUDED
#define CONSOLA_INCLUDED


typedef enum {COLOR_NEGRE=0, COLOR_VERMELL=1, COLOR_VERD=2,
	      COLOR_GROC=3, COLOR_BLAU=4, COLOR_LILA=5, 
	      COLOR_BLAUCEL=6, COLOR_BLANC=7} Color;

/* Canvia el color amb el qual s'escriuran els carcters a partir d'ara */
void PosaColorText(Color c);

/* Canvia el color de fons amb el qual s'escriur a partir d'ara */
void PosaColorFons(Color c);

/* Recupera els colors originals de la pantalla (habitualment, blanc sobre negre o viceversa) */
void ColorsOriginals(void);

/* Situa el cursor a la posici (fil,col). El que s'escriqui a partir
   d'ara sortir comenant per aquesta posici */
void SituaCursor(int fil, int col);

/* Esborra la pantalla amb el color de fons actual i situa el cursor a
   la posici (1,1) */
void EsborraPantalla(void);




#endif
