
/* Cont operacions d'alt nivell sobre el tipus Laberint que l'amplien */

#include"fst.h"
#include"laberint.h"
#include"utilsLab.h"


void LlegirXoPuntFST(FST f, char *c);


void LlegirLaberintFST(FST f, Laberint *const lab) 
{
  int alt, ample;
  int i, j;
  char c;

  LlegirEnterFST(f, &alt);
  LlegirEnterFST(f, &ample);
  
  *lab = CreaLaberint(alt, ample,false);
  for (i=0; i<alt; i=i+1) {
    for (j=0; j<ample; j=j+1) {
      LlegirXoPuntFST(f, &c);
      ModifPosLaberint(i, j, lab, c=='X');
    }   
  }

}


void LlegirXoPuntFST(FST f, char *c) 
{
  LlegirCaracterFST(f, c);
  while (*c!='X' && *c!='.') {
    LlegirCaracterFST(f, c);
  }
}


void EscriureLaberintFST(FST f, Laberint lab) 
{
  int i, j;

  EscriureEnterFST(f, lab.alt);
  EscriureCaracterFST(f, ' ');
  EscriureEnterFST(f, lab.ample);
  EscriureCaracterFST(f, '\n');
  for (i=0; i<lab.alt; i=i+1) {
    for (j=0; j<lab.ample; j=j+1) {
      if (PosLabOcupada(i,j,lab)) 
	EscriureCaracterFST(f, 'X');
      else
	EscriureCaracterFST(f, '.');
    }
    EscriureCaracterFST(f, '\n');
  }
    
}

