
/* Posicionament del cursor amb seqncies de ESC */

#include <assert.h>
#include <stdio.h>
#include "consola.h"


void EsborraPantalla(void)
{
  printf("%c",27);
  printf("[2J");
  SituaCursor(1,1);
}


void SituaCursor(int fil, int col)
{
  assert(fil>0);
  assert(col>0);

  printf("%c",27);
  printf("[%d;%dH", fil, col);
}


void PosaColorText(Color c)
{
  assert(c>=0 && c<=9);
  printf("%c",27);
  printf("[%dm",c+30);
}


void PosaColorFons(Color c)
{
  assert(c>=0 && c<=9);
  printf("%c",27);
  printf("[%dm",c+40);
}


void ColorsOriginals(void)
{
  printf("%c",27);
  printf("[0m");
}
