/*
 * Implementacio de les operacions sobre FST
 */

#ifndef FST_H
#define FST_H

/* Inclusions: llibreries estandard */

#include <stdio.h>

typedef enum {
    lectura,
    escriptura
} ModeFST;

typedef FILE *FST;


FST ObrirFST(ModeFST m, const char *nom);
void LlegirEnterFST(FST f, int *const e);
void LlegirRealFST(FST f, float *const r);
void LlegirCaracterFST(FST f, char *const c);
void EscriureEnterFST(FST f, int e);
void EscriureRealFST(FST f, float r);
void EscriureCaracterFST(FST f, char c);
int FdFST(FST f);
void TancarFST(FST f);

#endif
